#this the wx dialogs demo

set f .wx.paned.nb.f1.f
catch { wx::destroy  $f }

wx::frame $f
wx::pack $f -fill both -expand 1

wx::button $f.b1 -text "File open selection" -width 16 -command  {
	set file [wx::getOpenFile]

	if { $file == "" } {
		set message "You made no selection !"
	} else {
		set message "You choosed file '$file'"
	}

	wx::messagebox -title "File selection" -message $message

}

wx::pack $f.b1 -side top -padx 4 -pady 2 -fill x

wx::button $f.b2 -text "File save selection" -width 16 -command  {
	set file [wx::getSaveFile]

	if { $file == "" } {
		set message "You made no selection !"
	} else {
		set message "You choosed file '$file'"
	}

	wx::messagebox -title "File selection" -message $message

}

wx::pack $f.b2 -side top -padx 4 -pady 2 -fill x

wx::button $f.b3 -text "Directory selection" -width 16 -command  {
	set file [wx::getDir]

	if { $file == "" } {
		set message "You made no selection !"
	} else {
		set message "You choosed directory '$file'"
	}

	wx::messagebox -title "Directory selection" -message $message

}

wx::pack $f.b3 -side top -padx 4 -pady 2 -fill x

wx::button $f.b4 -text "Font selection (buggy)" -width 16 -command  {
	set font [wx::getFont]

	if { $font == "" } {
		set message "You made no selection !"
	} else {
		set message "You choosed font '$font'"
		$f.b4 configure -font $font
	}

	wx::messagebox -title "Font selection" -message $message
}

wx::pack $f.b4 -side top -padx 4 -pady 2 -fill x

wx::button $f.b5 -text "Color selection" -width 16 -command  {

	set color [wx::getColor]

	if { $color == "" } {
		set message "You made no selection !"
	} else {
		set message "You choosed color '$color'"
		$f.b5 configure -bg $color
	}

	wx::messagebox -title "Color selection" -message $message
}

wx::pack $f.b5 -side top -padx 4 -pady 2 -fill x







