#this the wx listbox demo

set f .wx.paned.nb.f1.f
catch { wx::destroy  $f }

wx::frame $f
wx::pack $f -fill both -expand 1

wx::frame $f.f1 -text "A pure Ms Listbox"
wx::pack $f.f1 -side left -anchor nw

wx::listbox  $f.f1.lb -width 24 -height 12
wx::pack $f.f1.lb

for { set i 0 } { $i < 15 } { incr i } {
	$f.f1.lb insert end "item #$i" 
}
	
wx::frame $f.f2 -text "Control Buttons"
wx::pack $f.f2 -side right -anchor ne

set i 0

wx::button $f.f2.b1 -text "Append Item" -width 16 -command  {
	$f.f1.lb insert end "dynamic item #$i" 
	incr i
}

wx::pack $f.f2.b1 -side top -padx 4 -pady 2

wx::button $f.f2.b2 -text "Remove Item" -width 16 -command  {
	$f.f1.lb delete [$f.f1.lb curselection]
}

wx::pack $f.f2.b2 -side top -padx 4 -pady 2

wx::button $f.f2.b3 -text "Selection" -width 16 -command  {
	set idx [$f.f1.lb curselection]
	if { $idx == -1 } {
		set message "No selection !"
	} else {
		set message "Selection is \"[$f.f1.lb get $idx]\" at position $idx"
	}			

	wx::messagebox -title "Listbox selection" -message $message
}

wx::pack $f.f2.b3 -side top -padx 4 -pady 2





