#this the wx tree demo

set f .wx.paned.nb.f1.f
catch { wx::destroy $f }

wx::frame $f
wx::pack $f -fill both -expand 1

set branches {
	{ Cars { Chevrolet Ford Ferrari Honda }}
	{ Fruits {Apple Banana Cherry }}
	{ Languages { Python Perl Tcl Lua Ruby PHP Lisp Fortran }}
}	 

#the tree interface should change to get closer to Bwidget trees ...

wx::tree $f.t -width 32 -height 32 -selchangedcommand {
	set key [$f.t getselection]

	if { [$f.t getfirstchild $key 1] == -1 } {
# will soon be replaced by "$f.t itemcget $key -text"
		set text [$f.t getitemtext $key]
	
		wx::messagebox -title "Tree selection" -message "You have selected '$text'"
	}
}

set root [$f.t addroot "A tree demo"]

foreach branch $branches {

	set key [$f.t append [lindex $branch 0] $root]
	foreach item [lindex $branch 1] {
		$f.t append $item $key
	}
}

$f.t expand $root
wx::pack $f.t -side top -fill both -expand 1







