#this the wx combobox demo

set f .wx.paned.nb.f1.f
catch { wx::destroy $f }

wx::frame $f 
wx::pack $f -side top -fill both -expand 1

wx::frame $f.f1 -text "Spin Button"
wx::pack $f.f1 -fill x -pady 16

wx::spinbutton $f.f1.spin -value 1 -min 1 -max 20 -width 16 \
	-label "Spin with a max value of 20 " -labelwidth 32 \
	-variable val 

wx::pack $f.f1.spin -side top -anchor nw -padx 4

wx::entry $f.f1.e1 -width 16 -state disabled \
	-label "Disabled entry showing spin value" -labelwidth 32 \
	-variable val

set val 1

wx::pack $f.f1.e1 -side top -anchor nw -padx 4

wx::frame $f.f2 -text "Radio Buttons"
wx::pack $f.f2 -fill x -pady 16

wx::frame $f.f2.f1 
wx::pack $f.f2.f1 -fill x

wx::radiobutton $f.f2.f1.rb1 -text "Bound 1" -variable rbvar -value "first"
wx::radiobutton $f.f2.f1.rb2 -text "Bound 2" -variable rbvar -value "second"
wx::radiobutton $f.f2.f1.rb3 -text "Alone"  -value "third"

set rbvar "first"

wx::pack $f.f2.f1.rb1 $f.f2.f1.rb2 -side left -padx 4 
wx::pack $f.f2.f1.rb3 -side right -padx 4

wx::frame $f.f2.f2 
wx::pack $f.f2.f2 -fill x

wx::entry $f.f2.f2.e1 -width 16 -state disabled \
	-label "Disabled entry showing radio selection" -labelwidth 24 \
	-variable rbvar 

wx::pack $f.f2.f2.e1 -side top -anchor nw

wx::frame $f.f3 -text "Check Button (try changing the entry for the fun)"
wx::pack $f.f3 -fill x -pady 16

wx::frame $f.f3.f1 
wx::pack $f.f3.f1 -fill x

wx::checkbutton $f.f3.f1.b1 -text "Check me"  -variable cvar -onvalue "checked" -offvalue "unchecked" -width 32
wx::pack $f.f3.f1.b1 -side top -anchor nw

wx::frame $f.f3.f2 
wx::pack $f.f3.f2 -fill x

wx::entry $f.f3.f2.e1 -width 16 \
	-label "Entry showing check button selection"  \
	-variable cvar 

wx::pack $f.f3.f2.e1 -side top -anchor nw
set cvar "checked"
